[Dehs-devel] r146 - trunk

atomo64-guest at alioth.debian.org atomo64-guest at alioth.debian.org
Sun Jul 6 00:13:32 UTC 2008


Author: atomo64-guest
Date: 2008-07-06 00:13:31 +0000 (Sun, 06 Jul 2008)
New Revision: 146

Modified:
   trunk/dehs.sh
Log:
Use a $(mktemp -d)'ed directory when svn exporting the scripts instead of /tmp


Modified: trunk/dehs.sh
===================================================================
--- trunk/dehs.sh	2008-07-04 01:18:56 UTC (rev 145)
+++ trunk/dehs.sh	2008-07-06 00:13:31 UTC (rev 146)
@@ -72,14 +72,14 @@
     esac
 fi
 
-cd /tmp/
+tmpdir="$(mktemp -d)"
 for script in uscan.pl debcheckout.pl; do
-    if svn export svn://svn/devscripts/trunk/scripts/$script 1>/dev/null; then
-	   sed -i "s/###VERSION###/DEHS-SVN/g" $script
-	   if ! diff -uwB ./$script $WORKDIR/$script; then
+    if svn export svn://svn/devscripts/trunk/scripts/$script "$tmpdir/$script">/dev/null; then
+	   sed -i "s/###VERSION###/DEHS-SVN/g" "$tmpdir/$script"
+	   if ! diff -uwB "$tmpdir/$script" "$WORKDIR/$script"; then
 		  echo "New $script available" >&2
 	   fi
-	   rm -f $script
+	   rm -f "$tmpdir/$script"
     fi
 done
 




More information about the Dehs-devel mailing list